[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorBox.Create

Constructor for the class instance.

## Declaration

Source position: colorbox.pas line 81

`public constructor TCustomColorBox.Create(`
`AOwner: TComponent`
`); override;`

## Description

Create is the overridden constructor for TCustomColorBox. It calls the inherited Create method, and sets the Style flags needed for the owner-drawn control. Create sets the default values for properties, including:

- ColorRectWidth
- ColorRectOffset
- Style
- NoneColorColor
- DefaultColorColor
- Selected

Create calls SetColorList to load the colors needed for the control.

## See also

TCustomCombobox.Create |  | Constructor for the class instance.